h62372
s 00001/00001/00084
d D 1.9 83/03/02 17:11:44 mjb 10 9
c 
e
s 00015/00010/00070
d D 1.8 83/03/01 15:02:49 mjb 9 8
c 
e
s 00001/00001/00079
d D 1.7 83/03/01 12:49:53 mjb 8 7
c 
e
s 00039/00020/00041
d D 1.6 83/02/25 19:21:05 mjb 7 6
c made changes for new axes edit menus
e
s 00000/00000/00061
d D 1.5 83/02/14 22:57:31 mjb 6 5
c bug fixing
e
s 00001/00001/00060
d D 1.4 83/02/14 17:17:17 mjb 5 4
c 
e
s 00009/00006/00052
d D 1.3 83/02/14 12:49:16 mjb 4 3
c added dashed grid line style capabilties
e
s 00004/00004/00054
d D 1.2 83/01/26 17:41:04 mjb 3 1
c fix for new menus
e
s 00000/00000/00058
d R 1.2 83/01/20 17:42:17 mjb 2 1
c no changes were made looked at parameter mismatches
e
s 00058/00000/00000
d D 1.1 83/01/20 11:09:06 tes 1 0
c date and time created 83/01/20 11:09:06 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine caeatt 
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Put current graph chart attributes for axes edit       #
#	        menu into the data buffer for data display             #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qputa - put alpha data to memory                          #
#            qputd - put decimal data to memory                        #
#            qputi - put integer data to memory                        #
#                                                                      #
########################################################################
integer i, item

include(`gphcom')

D 7
   i = 1
   do item = 1, 4 {
      call qputd (item, bghmin(i))  # current axes data mins and maxs         
      i = i + 5
E 7
I 7
   if (bgaxis(1) == BIGN) {
      call qputi (1, bgnatp)           # numeric axis type
I 9
      call qputi (2, bgdatp)           # dependent axis label type
      
E 9
      i = 1
D 9
      do item = 2, 4 {
E 9
I 9
      do item = 3, 7, 2 {
E 9
         call qputd (item, bgnstr(i))  # numeric axis label start etc.
D 9
         i = i + 5
         }
      call qputi (5, bgntic)           # numeric axis ticks per label
E 9
I 9
         i = i + 15
	 }
      call qputd (4, bgdstr)
      call qputd (6, bgdend)
      call qputd (8, bgdinc)

      call qputi (9, bgntic)           # numeric axis ticks per label
E 9
E 7
      }
D 7
    
   call qputa (5, bghgfg)           # grid flags
   call qputa (6, bgvgfg)
E 7
I 7
   else {
      call qputi (1, bgpatp)           # periodic axis type
      call qputd (2, bgpstr)           # periodic axis label start 
      call qputd (3, bgpnum)           # periodic axis number of periods
D 10
      call qputi (4, bgptic)           # periodic axis ticks per label
E 10
I 10
      call qputa (4, bgptic)           # periodic axis ticks flag
E 10
D 8
      call qputd (5, bgpain)           # periodic axis indent flag
E 8
I 8
      call qputa (5, bgpain)           # periodic axis indent flag
E 8
D 9
      }
E 9
E 7

I 7
D 9
   call qputi (6, bgdatp)              # dependent axis label type
E 7
D 4
   call qputi (7, bgghcl)           # grid colors
   call qputi (8, bggvcl)
E 4
I 4
   i = 1
D 7
   do item = 7, 10 {                # grid attributes
D 5
      call qputi (item, bgghst(i))
E 5
I 5
      call qputi (item, bggrst(i))
E 5
      i = i + 1
E 7
I 7
   do item = 7, 9 {
      call qputd (item, bgdstr(i))     # periodic axis label start etc.
      i = i + 5
E 9
I 9
      call qputi (6, bgdatp)           # dependent axis label type
      call qputd (7, bgdstr)
      call qputd (8, bgdend)
      call qputd (9, bgdinc)
E 9
E 7
      }
I 9

E 9
I 7
   call qputi (10, bgdtic)             # dependent axis ticks per label
E 7
E 4

D 7
   i = 1
D 3
   do item = 9, 12 {
E 3
I 3
D 4
   do item = 9, 14 {
E 4
I 4
   do item = 11, 16 {
E 4
E 3
      call qputa (item, bghrel(i))  # real/integer and tics flags
      i = i + 2
E 7
I 7
   item = 11
   if (bgaxis(1) == BIGN) {            # numeric axis menu
      call qputa (item, bgnain)        # numeric axis indent flag
      item = 12
E 7
      }
D 3
   call qputi (13, bghatp)           # current axis types
   call qputi (14, bgvatp)
E 3
I 3
D 4
   call qputi (15, bghatp)           # current axis types
   call qputi (16, bgvatp)
E 4
I 4
D 7
   call qputi (17, bghatp)           # current axis types
   call qputi (18, bgvatp)
E 7
E 4
E 3

D 7
   i = 1
D 3
   do item = 15, 20 {             
E 3
I 3
D 4
   do item = 17, 22 {             
E 4
I 4
   do item = 19, 24 {             
E 4
E 3
      call qputd (item, bghsrt(i)) # current axis periodic information
      i = i + 5
E 7
I 7
   call qputa (item, bgigfg)           # independent axis grid flag
   item = item + 1
   call qputi (item, bgigst)           # independent axis grid style
   item = item + 1
   call qputi (item, bgigcl)           # independent axis grid color
   item = item + 1
   call qputa (item, bgdgfg)           # dependent axis grid flag
   item = item + 1
   call qputi (item, bgdgst)           # dependent axis grid style
   item = item + 1
   call qputi (item, bgdgcl)           # dependent axis grid color
   
   if (bgaxis(1) == BIGN) {
      call qputa (18, bgadfg)          # curve data available flag
      call qputi (19, bgadcv)          # curve number for data
E 7
      }

return
end
E 1
